From e1d5cb23f342269e1e99b017c1082cd6208b8c9d Mon Sep 17 00:00:00 2001
From: Alexey Shvetsov <alexxy@gentoo.org>
Date: Fri, 12 Jul 2019 11:26:27 +0300
Subject: [PATCH] Make scripts compatible with py2 and py3

Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
---
 scripts/docspregen.py | 5 +++--
 scripts/fixsymlink.py | 4 +++-
 2 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/scripts/docspregen.py b/scripts/docspregen.py
index b4e5a67f..ab43bd7c 100644
--- a/scripts/docspregen.py
+++ b/scripts/docspregen.py
@@ -11,6 +11,7 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
+from __future__ import print_function
 
 import os
 import urlparse
@@ -280,7 +281,7 @@ Packages
 
 
 def generate_platform(name, rst_dir):
-    print "Processing platform: %s" % name
+    print("Processing platform: %s" % name)
 
     compatible_boards = [
         board for board in BOARDS if name == board['platform']
@@ -439,7 +440,7 @@ def update_platform_docs():
 
 
 def generate_framework(type_, data, rst_dir=None):
-    print "Processing framework: %s" % type_
+    print("Processing framework: %s" % type_)
 
     compatible_platforms = [
         m for m in PLATFORM_MANIFESTS
diff --git a/scripts/fixsymlink.py b/scripts/fixsymlink.py
index a73a0109..b250b04b 100644
--- a/scripts/fixsymlink.py
+++ b/scripts/fixsymlink.py
@@ -12,13 +12,15 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
+from __future__ import print_function
+
 from os import chdir, getcwd, readlink, remove, symlink, walk
 from os.path import exists, islink, join, relpath
 from sys import exit as sys_exit
 
 
 def fix_symlink(root, fname, brokenlink):
-    print root, fname, brokenlink
+    print(root, fname, brokenlink)
     prevcwd = getcwd()
 
     chdir(root)
-- 
2.22.0

